from http import HTTPMethod, HTTPStatus

from ...conftest import HttpApiProxy, LambdaContext


def test_get_orgs(
    app,
    seeds,
    http_api_proxy: HttpApiProxy,
    lambda_context: LambdaContext,
):
    r = app.lambda_handler(
        http_api_proxy(
            raw_path='/users/213a6682-2c59-4404-9189-12eec0a846d4/orgs',
            method=HTTPMethod.GET,
        ),
        lambda_context,
    )

    assert r['statusCode'] == HTTPStatus.OK
